Page MenuHomePhabricator

Pressing the Shift key moves the cursor (when "GoogleTrans" gadget is enabled)
Open, MediumPublic

Description

Steps to reproduce:

(Step 0: You probably have to be using a Windows box; nobody's reported being able to reproduce this on a Mac.)

  1. Type something like this is a test (all lowercase).
  2. Press the Shift key.
  3. See whether your cursor moved back to the start of the line.

Originally reported at enwiki's VEF by @Timeshifter, who was trying to add information to tables.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The problem is not occurring for me at https://www.mediawiki.org on the tables at mw:Help:Sorting and, as Whatamidoing-WMF pointed out, that site has a newer version of the Mediawiki software.
*https://www.mediawiki.org/wiki/Help:Sorting

Timeshifter was using Firefox 50.1.0 on Windows 10 (Vector) and reproduced the problem in Internet Explorer. Another editor reported having the same problem (not just in tables) in Chrome and Edge.

I wonder whether we should ask @Ryasmeen to take a look at this. If she can verifiy the problem at the Wikipedias but not at mw.org today, then we might be able to close this as 'fixed in the pending release'. (It's additionally described at https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback#Jumping_zombie_cursor_in_table_cell )

Which version of IE. I can't reproduce.

Kailash29792 said it was occurring in Firefox, Chrome, and Edge. It is not occurring for me in Internet Explorer. I checked my previous posts elsewhere concerning this bug, and I never reported it happening in Internet Explorer. I mentioned IE concerning a completely different bug though.

I just tried to replicate this bug in IE now, and it is not occurring for me in Internet Explorer.

Jdforrester-WMF changed the task status from Open to Stalled.Feb 9 2017, 6:34 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF added a project: TestMe.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Plausibly it might trigger code to normalise the cursor position from an invalid state? But I'm not sure how simple typing to EOL would make the code thing it was invalid?

I tried to reproduce this by following the steps mentioned, couldn't reproduce it anywhere.
Tested on Beta, mediawiki.org and en.wiki using Chrome 56, Firefox 50, Edge 14, Edge 13 on Windows 10.

@EdErhart-WMF is having the same problem, also in Windows 10 (and I cheerfully volunteer him to demonstrate this via video hangout for any dev who needs to see what's going on). However, he never sees the cursor jump to the top of the page, which had previously been reported in T144907. Instead, the cursor will "jump back to the last wikilink, citation, or paragraph beginning, in that order. It never jumps up to a new" line.

User:Endercase (who is willing to answer questions and test things for you) reports a problem in Chrome/Windows 10 that may be this bug under the heading "Shift is somehow being left tab and shift at the same time":

"It happens kinda randomly. Usually, after I interact with hyperlinks or edit something I had already written in the same session. Also, the amount of space the cursor moves seems to be random but it is always backward (left tab is inaccurate as it skips through text).... It is also worth noting that after the bug has been "activated" shift will always return to the same location (I think) but allow you to type in that location."

@Whatamidoing-WMF for the sake of transparency if anyone links back to this in the future, I reported this as a volunteer... so I created a volunteer Phab account for this task.

And yes, I'm happy to jump on a Hangout if needed. I assume I'm one of maybe five people at the Foundation that uses Windows. ;-)

This is not a Windows problem, I have it on MacOS (10.9.5) both in Safari and Chrome, so it's not browser-dependent. It's highly reproducible but apparently not always. Restarting my Mac or browser doesn't help. As far as I can remember, this is a fairly new problem (a couple of months ?).

@Peteruetz, @The.ed17, @Kailash29792 and @Endercase :

Do you all have "GoogleTrans: open a translation popup for the selected text or the word under the cursor when pushing the shift button" enabled in https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-gadgets ? (It's the third item.)

https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback#Interaction_with_GoogleTrans suggests that this is a key factor.

@Whatamidoing-WMF I've just switched it off. A quick test shows that it does seem to fix the problem! Will try to test more soon.

It looks like this gadget is the key factor for this very strange bug.

@Endo999 maintains the gadget. To reduce this problem, the gadget is now testing for the URL; if the URL includes veaction=, then it auto-self-disables on that page. This is a great start, but it's not reliable if the VisualEditor-MediaWiki-2017WikitextEditor is enabled as a Beta Feature, because &action=edit gets intercepted by Extension:VisualEditor (for the wikitext mode) then.

If any dev can recommend for a more reliable way for a gadget to detect the editing environment, please contact Endo999 directly. (And if there isn't a reliable method, then maybe there should be.)

Aklapper renamed this task from Pressing the Shift key moves the cursor (Windows only?) to Pressing the Shift key moves the cursor (when "GoogleTrans" gadget is enabled).Nov 3 2017, 10:35 PM
Deskana added a subscriber: Deskana.

This is likely a problem with the gadget.

Aklapper changed the task status from Stalled to Open.May 12 2020, 9:56 PM

Looking at the last two comments:
Was this a problem to fix in the gadget code, and hence this task should be closed as invalid (per definition)?
Or does the line

but it's not reliable if the VisualEditor-MediaWiki-2017WikitextEditor is enabled as a Beta Feature, because &action=edit gets intercepted by Extension:VisualEditor (for the wikitext mode) then.

imply that some code could be changed in VisualEditor to allow the gadget to more reliably identify VisualEditor-MediaWiki-2017WikitextEditor as a Beta Feature?

I believe this would have happened in the Content Translation feature
of the gadget.

I used to test for 'action=edit' but I changed that. The gadget no
longer tests for this string.

Regards,

Paul Cheffers
GoogleTrans gadget coder

Quoting Aklapper <no-reply@phabricator.wikimedia.org>:

Aklapper changed the task status from "Stalled" to "Open".
Aklapper added a comment.

Looking at the last two comments:
Was this a problem to fix in the gadget code, and hence this task

should be closed as invalid (per definition)?

Or does the line

> but it's not reliable if the

VisualEditor-MediaWiki-2017WikitextEditor is enabled as a Beta
Feature, because &action=edit gets intercepted by
Extension:VisualEditor (for the wikitext mode) then.

imply that some code could be changed in VisualEditor to allow the

gadget to more reliably identify
VisualEditor-MediaWiki-2017WikitextEditor
https://phabricator.wikimedia.org/tag/visualeditor-mediawiki-2017wikitexteditor/ as a Beta
Feature?

TASK DETAIL

https://phabricator.wikimedia.org/T156228

EMAIL PREFERENCES

https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: Aklapper
Cc: Deskana, Endo999, Kailash29792, Endercase, Peteruetz, The.ed17,
EdErhart-WMF, TerraCodes, Jdforrester-WMF, Ryasmeen, Esanders,
Whatamidoing-WMF, Aklapper, Timeshifter, keithbrianpadilla,
Saimongoltinio, WikimeSteve, ppelberg, marcella, Revansx,
OhKayeSierra, takidelfin, Necroarcano, Robinma, merbst, Wess,
Srdjan_m, Jrf, Husun1297, Swainr

@Timeshifter, @Whatamidoing-WMF: Per last comment, should this remain open or can this be resolved?

I haven't noticed any jumping cursor problems in tables in ages.

I just checked my gadget preferences and see that GoogleTrans is currently installed. I didn't know it was still installed. I don't use it. I have the Firefox addon "Translate Now" installed. I use it all the time. It operates via a right-click context menu.

I just tried editing text in a VisualEditor table, and did not notice any jumping cursor problems when I used the shift key. I entered "this is a test" into a blank cell, and then clicked the shift key. Nothing happened. Cursor remained in place. I am using Firefox in Windows 10 Pro on a desktop PC.

It is still available, at multiple wikis, and I believe that it still causes problems. I wonder if there might be outdated copies on some wikis?

I wrote the gadget, I can't reproduce problem, although I suspect it is in the content translation system. i changed something several years ago, and I don't get any reports of problems with the gadget.

You can turn off the gadget by going the MORE clicking on the GOOGLETRANS link. Within the Properties box turn off GoogleTrans.

This is a workaround, but GoogleTrans will no longer work while it is turned off.